summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'app-backup/cdbkup/cdbkup-1.0-r1.ebuild')
-rw-r--r--app-backup/cdbkup/cdbkup-1.0-r1.ebuild34
1 files changed, 34 insertions, 0 deletions
diff --git a/app-backup/cdbkup/cdbkup-1.0-r1.ebuild b/app-backup/cdbkup/cdbkup-1.0-r1.ebuild
new file mode 100644
index 000000000000..a5e367dd3707
--- /dev/null
+++ b/app-backup/cdbkup/cdbkup-1.0-r1.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+inherit eutils
+
+DESCRIPTION="performs full/incremental backups of local/remote filesystems onto CD-R(W)s"
+HOMEPAGE="http://cdbkup.sourceforge.net/"
+SRC_URI="mirror://sourceforge/cdbkup/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~x86 ~ppc ~amd64"
+IUSE=""
+
+DEPEND="virtual/cdrtools
+ virtual/eject"
+RDEPEND="${DEPEND}
+ !app-misc/cdcat"
+
+src_unpack() {
+ unpack ${A}
+ cd "${S}"
+ sed -i -e "s:doc/cdbkup:doc/${P}:" Makefile.in || die
+}
+
+src_compile() {
+ econf --with-snardir=/etc/cdbkup --with-dumpgrp=users
+}
+
+src_install() {
+ emake DESTDIR="${D}" install || die
+ dodoc COMPLIANCE ChangeLog README TODO
+}